// @ts-ignore

/* eslint-disable */
import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
/** 获取商品  sdsa GET /kitchen/api/rule */
export async function goods(data) {
  return request(getDataBaseUrl()+`/api/goods/page`, {
    method: 'Post',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function getbompage (data) {
  return request(getDataBaseUrl()+`/api/bom/getpage`, {
    method: 'Post',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function AddBomApi (data) {
  return request(getDataBaseUrl()+`/api/GoodsBom/AddBom`, {
    method: 'Post',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function getBomInfo (data) {
  return request(getDataBaseUrl()+`/api/GoodsBom/getBomInfo`, {
    method: 'Post',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}

/** 新建商品 POST /kitchen/api/rule */

export async function addGoods(data) {
  // http://localhost:7002
  return request(getDataBaseUrl()+`/api/goods/add`, {
    method: 'POST',
    // type:'json',
    data: data,
    // ...(options || {}),
  });
}
/** 修改商品 PUT /kitchen/api/rule */

export async function updateGoods(data) {
  console.log('商品数据修改', data);
  return request(getDataBaseUrl()+`/api/goods/update`, {
    method: 'Post',
    data: data,
    // ...(options || {}),
  });
}
/** 删除商品 DELETE /kitchen/api/rule */

export async function removeGoods(data) {
  return request(getDataBaseUrl()+`/api/goods/delete?id=`+data, {
    method: 'Get',
   
    // ...(options || {}),
  });
}

/** 获取商品类型  sdsa GET /kitchen/api/rule */
export async function goodsType(data) {
  return request(getDataBaseUrl()+`/api/goods-type/goods-types`, {
    method: 'POST',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}
export async function gettree(params) {
  return request(getDataBaseUrl()+'​/api​/goodstype/tree', {
    method: 'GET',
    data: {
      ...params,
    },
  });
}
export async function getgoodsTaste(data) {
  return request(getDataBaseUrl()+`/api/goodstaste/getlist`);
}
export async function upload(data) {
  return request(getDataBaseUrl()+`/api/goods/exportgood`,{
    method: 'POST',
    data: data,
  });
}

export async function GoodsTemplateExport() {
  return request(getDataBaseUrl()+`/api/goods/goodstemplateexport`, {
    method: 'post',
    responseType: 'blob'
  });
}